> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Entity

> Handles the removal (archival) of an entity based on the provided entity ID.



## OpenAPI

````yaml delete /admin/entity/{entity_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/entity/{entity_id}:
    delete:
      tags:
        - Entities
      summary: Archive Entity
      description: >-
        Handles the removal (archival) of an entity based on the provided entity
        ID.
      operationId: removeEntity
      parameters:
        - name: entity_id
          in: path
          description: Entity ID of the entity to archive
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Entity successfully archived
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Archived.
                type: object
        '404':
          description: Entity not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Entity Not Found.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````